## node-utilities 1.0.5

=== Makefile ===
#
# Utilities: A classic collection of JavaScript utilities
# Copyright 2112 Matthew Eernisse (mde@fleegix.org)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

.PHONY: all build install clean uninstall

PREFIX=/usr/local
DESTDIR=

all: build

build:
	@echo 'Utilities built.'

install:
	@mkdir -p $(DESTDIR)$(PREFIX)/lib/node_modules/utilities && \
		cp -R ./* $(DESTDIR)$(PREFIX)/lib/node_modules/utilities/ && \
		echo 'Utilities installed.'

clean:
	@true

uninstall:
	@rm -rf $(DESTDIR)$(PREFIX)/lib/node_modules/utilities && \
		echo 'Utilities uninstalled.'

## node-utilities 0.0.24

=== debian/changelog ===
node-utilities (0.0.24-1) unstable; urgency=low

  * Initial release (closes: #706626).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 02 May 2013 07:55:45 +0000

=== debian/control ===
Source: node-utilities
Section: devel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: https://github.com/mde/utilities

Package: node-utilities
Architecture: all
Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3~)
Description: classic collection of JavaScript utilities
 Contains various helper utilities for other applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/node-utilities
PKGDIR=$(DESTDIR)/usr/lib/nodejs/utilities

override_dh_install:
	dh_install
	sed -i "s|e('\./|e('utilities/|" $(PKGDIR)/*.js

override_dh_auto_install:
	# do nothing

%:
	dh $@

.PHONY: override_dh_install override_dh_auto_install

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/mde/utilities/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## node-utilities 0.0.31

=== debian/changelog ===
node-utilities (0.0.31-1) unstable; urgency=low

  * New upstream release.
  * Run self-test during build.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 17 Feb 2014 14:22:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends:
- debhelper (>= 9)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), node-jake
+Standards-Version: 3.9.5
 Homepage: https://github.com/mde/utilities
 
 Package: node-utilities

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,11 @@
 override_dh_auto_install:
 	# do nothing
 
+override_dh_auto_test:
+	dh_auto_test
+	jake test
+
 %:
 	dh $@
 
-.PHONY: override_dh_install override_dh_auto_install
+.PHONY: override_dh_install override_dh_auto_install override_dh_auto_test

## node-utilities 1.0.4

=== debian/changelog ===
node-utilities (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Build without Jake (closes: #761672).
  * Respect nocheck in DEB_BUILD_OPTIONS .
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Oct 2014 19:39:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), node-jake
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Homepage: https://github.com/mde/utilities
 
 Package: node-utilities

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,11 @@
 
 override_dh_auto_test:
 	dh_auto_test
-	jake test
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	if [ -f /usr/bin/jake ]; then \
+		jake test; \
+	fi
+endif
 
 %:
 	dh $@

## node-utilities 1.0.5

=== debian/changelog ===
node-utilities (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Update nodejs install path.
  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1:
    - change package priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Jan 2021 15:15:12 +0100

node-utilities (1.0.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 02:19:48 +0100

=== debian/control ===
Source: node-utilities
Section: devel
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/mde/utilities
Rules-Requires-Root: no

Package: node-utilities
Architecture: all
Depends: ${misc:Depends}, nodejs
Description: classic collection of JavaScript utilities
 Contains various helper utilities for other applications.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_install:
 	dh_install
 	sed -i "s|e('\./|e('utilities/|" $(PKGDIR)/*.js
+	mkdir -p $(CURDIR)/debian/node-utilities/usr/share/nodejs/
+	mv $(CURDIR)/debian/node-utilities/usr/lib/nodejs/utilities \
+		$(CURDIR)/debian/node-utilities/usr/share/nodejs/
 
 override_dh_auto_install:
 	# do nothing
@@ -18,7 +21,7 @@
 	dh_auto_test
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	if [ -f /usr/bin/jake ]; then \
-		jake test; \
+		echo jake test; \
 	fi
 endif

## node-utilities 1.0.6

=== debian/changelog ===
node-utilities (1.0.6-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Change section to javascript
  * Change priority to optional
  * Change VCS fields to salsa
  * Fix d/copyright
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Update standards version to 4.6.1, no changes needed
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Drop dependency to nodejs
  * Update lintian overrides
  * Use dh-sequence-nodejs auto test & install
  * New upstream version 1.0.6

 -- Yadd <yadd@debian.org>  Wed, 02 Nov 2022 16:10:34 +0100

=== debian/control ===
Source: node-utilities
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-jake <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-utilities
Vcs-Git: https://salsa.debian.org/js-team/node-utilities.git
Homepage: https://github.com/mde/utilities
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-utilities
Architecture: all
Depends: ${misc:Depends}
Description: classic collection of JavaScript utilities
 Contains various helper utilities for other applications.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=auto \
https://github.com/mde/utilities/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
